Mailinglist Archive: opensuse (5130 mails)

< Previous Next >
Re: [opensuse] packagemanagement in 10.1
  • From: andreas.hanke@xxxxxxxxxxxxxx
  • Date: Sat, 27 May 2006 19:32:44 +0200
  • Message-id: <20060527173244.7240@xxxxxxx>
Hi,

> You better should blame the non-matching package release numbers for
> glibc-devel (i686 has a higher number).

Yes, it has a higher number and that's exactly what "not biarch safe" means. A biarch safe package manager doesn't rely on release numbers only. And generally, a package manager that is recommended as a replacement for an existing one should behave like the preconfigured one, otherwise it's not a replacement.

zypp prefers the architecture over the release number in already installed systems and the version-release combo only during system upgrades. All replacements should match this behaviour. There is no need to "blame" anything because it just works with the preconfigured package manager.

> This is not "some examples" - this is all you have.

First, one screwed installation is more than enough and second, everyone who prefers a screwed installation over having what is defined as a "big head" here can reproduce it on his very own system. I'm very comfortable with the size of my head.

> Your mouth is bigger than your head.

Thanks for this highly technical on-topic wording. Just as a reminder, this is not about "being right", it's about preventing people from running into problems and concluding that "package management doesn't work on SL 10.1". Have a nice weekend.

Andreas Hanke
--


Bis zu 70% Ihrer Onlinekosten sparen: GMX SmartSurfer!
Kostenlos downloaden: http://www.gmx.net/de/go/smartsurfer


< Previous Next >